org.jboss.netty.handler.codec.http.multipart

## Class HttpPostRequestDecoder.IncompatibleDataDecoderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jboss.netty.handler.codec.http.multipart.HttpPostRequestDecoder.IncompatibleDataDecoderException

All Implemented Interfaces:
  Serializable

Enclosing class:
  HttpPostRequestDecoder

    public static class HttpPostRequestDecoder.IncompatibleDataDecoderException
    extends Exception

Exception when an unappropriated method was called on a request

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`HttpPostRequestDecoder.IncompatibleDataDecoderException()`
`HttpPostRequestDecoder.IncompatibleDataDecoderException(String arg0)`
`HttpPostRequestDecoder.IncompatibleDataDecoderException(String arg0, Throwable arg1)`
`HttpPostRequestDecoder.IncompatibleDataDecoderException(Throwable arg0)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HttpPostRequestDecoder.IncompatibleDataDecoderException

    public HttpPostRequestDecoder.IncompatibleDataDecoderException()

#### HttpPostRequestDecoder.IncompatibleDataDecoderException

    public HttpPostRequestDecoder.IncompatibleDataDecoderException(String arg0)

Parameters:
  `arg0` -

#### HttpPostRequestDecoder.IncompatibleDataDecoderException

    public HttpPostRequestDecoder.IncompatibleDataDecoderException(Throwable arg0)

Parameters:
  `arg0` -

#### HttpPostRequestDecoder.IncompatibleDataDecoderException

    public HttpPostRequestDecoder.IncompatibleDataDecoderException(String arg0,
                                                           Throwable arg1)

Parameters:
  `arg0` -
  `arg1` -